Proxy güncelle — Proxy rotasyonunu aç veya kapat
Bu bölüm PinguProxy ile Proxy güncelle — Proxy rotasyonunu aç veya kapat yapılandırmasını güvenilir biçimde açıklar.
PUT
/proxies/update_rotationGövde parametreleri
Güvenlik
AuthorizationstringzorunluJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
İstek gövdesi
idintegerzorunluGüncellenecek proxy’nin ID’si
is_rotatingbooleanzorunluProxy rotasyonunu aç veya kapat
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotation', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 is_rotating: true10 })11});1213const result = await response.json();
Yanıt
Durum 200
{"is_rotating": true}
Proxy güncelle — Saniye cinsinden yeni aralık
Bu bölüm PinguProxy ile Proxy güncelle — Saniye cinsinden yeni aralık yapılandırmasını güvenilir biçimde açıklar.
PUT
/proxies/update_rotate_intervalGövde parametreleri
Güvenlik
AuthorizationstringzorunluJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
İstek gövdesi
idintegerzorunluGüncellenecek proxy’nin ID’si
rotate_intervalintegerzorunluSaniye cinsinden yeni aralık
1const response = await fetch('https://api.pinguproxy.com/proxies/update_rotate_interval', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 rotate_interval: 30010 })11});1213const result = await response.json();
Yanıt
Durum 200
{"success": true}
Proxy güncelle — Yeni proxy etiketi
Bu bölüm PinguProxy ile Proxy güncelle — Yeni proxy etiketi yapılandırmasını güvenilir biçimde açıklar.
PUT
/proxies/update_labelGövde parametreleri
Güvenlik
AuthorizationstringzorunluJWT Bearer token
Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
İstek gövdesi
idintegerzorunluGüncellenecek proxy’nin ID’si
labelstringzorunluYeni proxy etiketi
1const response = await fetch('https://api.pinguproxy.com/proxies/update_label', {2 method: 'PUT',3 headers: {4 'Authorization': 'Bearer your-jwt-token',5 'Content-Type': 'application/json'6 },7 body: JSON.stringify({8 id: 1,9 label: 'My Proxy'10 })11});1213const result = await response.json();
Yanıt
Durum 200
true